#include <stdio.h>

int main() {
    int brojStalaktita, visinaPerice;
    scanf("%d %d", &brojStalaktita, &visinaPerice);

    int stalaktiti[brojStalaktita];
    for (int i = 0; i < brojStalaktita; i++) {
        scanf("%d", &stalaktiti[i]);
    }

    for (int i = 0; i < brojStalaktita; i++) {

        if (stalaktiti[i] <= visinaPerice) {
            printf("%d\n", i + 1);
            return 0;
        }
    }

    printf("-1\n");
    return 0;
}